from Tile import TileFeature
from Item import *

class BrakefluidTileFeature(ItemTileFeature):
    FEATURE_NAME = "brakefluid_itemTileFeature"

    def __init__(self, tile):
        super(BrakefluidTileFeature, self).__init__(tile)

    def getFeatureName(self):
        return BrakefluidTileFeature.FEATURE_NAME

    def getItemInstance(self):
        return Brakefluid()

class Brakefluid(Item):
    ITEM_NAME = "brakefluid_item"
    DURATION = 7000

    def __init__(self):
        super(Brakefluid, self).__init__()

    def getItemName(self):
        return Brakefluid.ITEM_NAME

    def getImageHref(self):
        return "../assets/items/brakefluid.png"
