from Tile import TileFeature
from Item import *

class PingRuneTileFeature(ItemTileFeature):
    FEATURE_NAME = "ping_itemTileFeature"

    def __init__(self, tile):
        super(PingRuneTileFeature, self).__init__(tile)

    def getFeatureName(self):
        return PingRuneTileFeature.FEATURE_NAME

    def getItemInstance(self):
        return PingRune()

class PingRune(Item):
    ITEM_NAME = "ping_item"

    def __init__(self):
        super(PingRune, self).__init__()

    def getItemName(self):
        return PingRune.ITEM_NAME

    # override
    def onFrame(self, dt):
        if self.isActive():
            self.expire()

    def getImageHref(self):
        return "../assets/items/ping.png"
