from Tile import TileFeature
from Item import *

class TurnBackRuneTileFeature(ItemTileFeature):
    FEATURE_NAME = "turn_back_itemTileFeature"

    def __init__(self, tile):
        super(TurnBackRuneTileFeature, self).__init__(tile)

    def getFeatureName(self):
        return TurnBackRuneTileFeature.FEATURE_NAME

    def getItemInstance(self):
        return TurnBackRune()

class TurnBackRune(Item):
    ITEM_NAME = "turn_back_item"

    def __init__(self):
        super(TurnBackRune, self).__init__()

    def getItemName(self):
        return TurnBackRune.ITEM_NAME

    # override
    def onFrame(self, dt):
        if self.isActive():
            self.expire()

    def getImageHref(self):
        return "../assets/items/turn_back.png"
