from Tile import TileFeature
from Item import *

class PetroleumTileFeature(ItemTileFeature):
    FEATURE_NAME = "petroleum_itemTileFeature"

    def __init__(self, tile):
        super(PetroleumTileFeature, self).__init__(tile)

    def getFeatureName(self):
        return PetroleumTileFeature.FEATURE_NAME

    def getItemInstance(self):
        return Petroleum()

class Petroleum(Item):
    ITEM_NAME = "petroleum_item"
    DURATION = 7000

    def __init__(self):
        super(Petroleum, self).__init__()

    def getItemName(self):
        return Petroleum.ITEM_NAME

    def getImageHref(self):
        return "../assets/items/petroleum.png"
